#ifndef GPLOT_H
#define GPLOT_H

#include<stdio.h>
#include<math.h>
#include<string.h>
#include<stdlib.h>

#ifndef WARN
#define WARN "# [31;1mWARNING[0m"
#endif
#ifndef ERR
#define ERR "# [31;1mERROR[0m"
#endif
#ifndef GUT
#define GUT "# [32;1mGUT[0m"
#endif
#ifndef DEG_RAD
#define DEG_RAD 57.29577951
#endif


void header (FILE *fp) ;
FILE *postscript_header (char *filename,char *gnufile);
FILE *pdf_header (char *filename,char *gnufile);
FILE *x11_header (char *filename,char *gnufile);
void gnuplot (char *datfile, char *outputname, char *type, char *X_achse, char *Y_achse, char *title);
void primitive_gnuplot (char *datfile, int index1, int index2,char *title);
void primitive_n_gnuplot (char *datfile, int n_f, char *title);
void plot_function (char *title, double *function, int anzahl, double incr);
void plot_n_functions (char *title, double *function,int n_f, int anzahl,  double incr);
void open_gnuplot (char *file, char *xlabel, char *ylabel,int x, int y,char *title);
#endif
